/*******************************************************************************
* File Name: main.c
*
* Version: 2.10
*
* Description:
*  The PWM datasheet example project.
*  This example project demonstrates 8 bit PWM Fixed Function Block.
*
********************************************************************************
* Copyright 2012, Cypress Semiconductor Corporation. All rights reserved.
* This software is owned by Cypress Semiconductor Corporation and is protected
* by and subject to worldwide patent and copyright laws and treaties.
* Therefore, you may use this software only as provided in the license agreement
* accompanying the software package from which you obtained this software.
* CYPRESS AND ITS SUPPLIERS MAKE NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* WITH REGARD TO THIS SOFTWARE, INCLUDING, BUT NOT LIMITED TO, NONINFRINGEMENT,
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*******************************************************************************/

#include <device.h>

/*******************************************************************************
* Function Name: main
********************************************************************************
*
* Summary:
*  Main function performs following functions:
*   1: Enables the clock
*   2: Start the PWM
*******************************************************************************/
int main()
{
    /* Prepare components */
    clock_1_Enable();    
    PWM_1_Start();   
    PWM_1_SetCompareMode(PWM__1_PWM__LESS_THAN);
   
    for (;;)
    {

    }
}


/* [] END OF FILE */
